package utils

const (
	Md5Key = "Ks@h64WJ#tcVgG8$&WlNfqvLAtMgpxWN"
)

//常量定义
const (
	FormatTime            = "15:04:05"                //时间格式
	FormatDate            = "2006-01-02"              //日期格式
	FormatDateUnSpace     = "20060102"                //日期格式
	FormatDateTime        = "2006-01-02 15:04:05"     //完整时间格式
	HlbFormatDateTime     = "2006-01-02_15:04:05.999" //完整时间格式
	FormatDateTimeUnSpace = "20060102150405"          //完整时间格式
	PageSize15            = 15                        //列表页每页数据量
	PageSize5             = 5
	PageSize10            = 10
	PageSize20            = 20
	PageSize30            = 30
)

const (
	APPNAME                        = "弘则-task"
	EmailSendToUsers               = "317699326@qq.com;984198890@qq.com;512188925@qq.com"
	//RefreshEdbInfoEmailSendToUsers = "317699326@qq.com;984198890@qq.com;jhwang@hzinsights.com;lnyan@hzinsights.com;vwang@hzinsights.com"
	RefreshEdbInfoEmailSendToUsers = "317699326@qq.com;984198890@qq.com;jhwang@hzinsights.com;lnyan@hzinsights.com"
)

//手机号，电子邮箱正则
const (
	RegularMobile = "^((13[0-9])|(14[5|7])|(15([0-3]|[5-9]))|(18[0-9])|(17[0-9])|(16[0-9])|(19[0-9]))\\d{8}$" //手机号码
	RegularEmail  = `\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*`                                             //匹配电子邮箱
)

//验证码code
const (
	REGISTER_CODE = iota + 1 //注册
	LOGIN_CODE               //登录
)

//聚合短信
var (
	TplId    = "65692"
	JhAppKey = "4c8504c49dd335e99cfd7b6a3a9e2415"
)

//科大讯飞--语音合成
const (
	XfSTATUS_FIRST_FRAME    = 0 //第一帧标识
	XfSTATUS_CONTINUE_FRAME = 1 //中间帧标识
	XfSTATUS_LAST_FRAME     = 2 //最后一帧标识
	XfAPPID                 = "5ed70e9d"
	XfAPIKey                = "d580509ca262e9586fb65a7064d5ce77"
	XfAPISecret             = "a085720dc55850c720fa5576335f847a"
	XfHostUrl               = "wss://tts-api.xfyun.cn/v2/tts"
	XfOrigin                = "http://tts-api.xfyun.cn/"
	XfHost                  = "tts-api.xfyun.cn"
)

const (
	EmailSendToHzUsers = "544935339@qq.com;lnyan@hzinsights.com;pdzhao@hzinsights.com;glji@hzinsights.com;tshen@hzinsights.com"
	//EmailSendToHzUsers = "317699326@qq.com"
)

//数据来源渠道
const (
	DATA_SOURCE_THS                  = iota + 1 //同花顺
	DATA_SOURCE_WIND                            //wind
	DATA_SOURCE_PB                              //彭博
	DATA_SOURCE_CALCULATE                       //计算指标
	DATA_SOURCE_CALCULATE_LJZZY                 //累计值转月
	DATA_SOURCE_CALCULATE_TBZ                   //同比值
	DATA_SOURCE_CALCULATE_TCZ                   //同差值
	DATA_SOURCE_CALCULATE_NSZYDPJJS             //N数值移动平均计算
	DATA_SOURCE_MANUAL                          //手工指标
	DATA_SOURCE_LZ                              //隆众
	DATA_SOURCE_YS                              //有色
	DATA_SOURCE_CALCULATE_HBZ                   //环比值->12
	DATA_SOURCE_CALCULATE_HCZ                   //环差值->13
	DATA_SOURCE_CALCULATE_BP                    //变频->14
	DATA_SOURCE_GL                              //钢联->15
	DATA_SOURCE_ZZ                              //郑商所->16
	DATA_SOURCE_DL                              //大商所->17
	DATA_SOURCE_SH                              //上期所->18
	DATA_SOURCE_CFFEX                           //中金所->19
	DATA_SOURCE_SHFE                            //上期能源->20
	DATA_SOURCE_GIE                             //欧洲天然气->21
	DATA_SOURCE_CALCULATE_TIME_SHIFT            //时间移位->22
	DATA_SOURCE_CALCULATE_ZJPJ                  //直接拼接->23
	DATA_SOURCE_CALCULATE_LJZTBPJ               //累计值同比拼接->24
	DATA_SOURCE_LT                              //路透->25
)

//http://datawind.hzinsights.com:8040/hz_server

const (
	Hz_Data_Url    = "http://datawind.hzinsights.com:8040/" //同花顺，万得接口服务地址
	Hz_Data_PB_Url = "http://datapb.hzinsights.com:8040/"   //彭博接口地址
	Hz_Data_LT_Url = "http://dataek.hzinsights.com:8040/"   //路透社接口地址
)

//数据刷新频率
const (
	DATA_REFRESH        = 7 //7个单位，日/周/月/季度/年
	DATA_END_DATE_LIMIT = 4 //数据结束日期为，当前日期，加上4年时间
)

var (
	Hz_Server_Data_Url string //同花顺，万得接口服务地址（阿里云windows服务器地址）
)

//EDB_LIB
var (
	APP_EDB_LIB_NAME_EN = "hongze_edb_lib"
	EDB_LIB_Md5_KEY     = "GuRaB6dY1bXOJcwG"
)